Name:		worker
Version:	3.11.0
Release:	3%{?dist}
Summary:	File Manager for the X11

License:	GPLv2+
URL:		http://boomerangsworld.de/worker
Source0:	http://boomerangsworld.de/cms/%{name}/downloads/%{name}-%{version}.tar.bz2
BuildRequires:	libX11-devel  
BuildRequires:	desktop-file-utils
%description
A X11 file-manager that features low requirements and easy to access archives.

%prep
%setup -q

#Fix Man pages(UTF-8)
for f in ChangeLog man/fr/worker.1 man/it/worker.1; do
	iconv -f ISO-8859-1 -t UTF-8 $f > $f.new && \
	touch -r $f $f.new && \
	mv $f.new $f
done

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

desktop-file-install	\
--delete-original	\
--dir=%{buildroot}%{_datadir}/applications	\
--remove-category="FileManager"		\
--add-category="System;FileTools"	\
%{buildroot}/%{_datadir}/applications/%{name}.desktop


%files
%doc AUTHORS ChangeLog COPYING THANKS
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/WorkerIcon*.xpm
%{_mandir}/man1/%{name}.1*
%{_mandir}/*/man1/%{name}.1*
%{_datadir}/%{name}/
%{_datadir}/appdata/%{name}.appdata.xml
%{_bindir}/%{name}


%changelog
* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.11.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.11.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jul 21 2017 Filipe Rosset <rosset.filipe@gmail.com> - 3.11.0-1
- Rebuilt for new upstream version 3.11.0 fixes rhbz #1473062

* Tue Jun 13 2017 Filipe Rosset <rosset.filipe@gmail.com> - 3.10.0-2
- Rebuilt for new upstream version 3.10.0 fixes rhbz #1460412

* Mon May 15 2017 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_27_Mass_Rebuild

* Sat Apr 22 2017 Filipe Rosset <rosset.filipe@gmail.com> - 3.9.0-1
- Rebuilt for new upstream version 3.9.0 fixes rhbz #1091751
- Fixes FTBFS in rawhide rhbz #1424545 + spec clean up

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 3.3.3-4
- Rebuilt for GCC 5 C++11 ABI change

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Mar 23 2014 Nathan Owe <ndowens at fedoraproject.org 3.3.3-1
 - Updated package to latest available

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.19.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.19.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.19.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Apr 08 2012 Nathan Owe <ndowens at fedoraproject.org> 2.19.2-1
- Updated version

* Sat Feb 25 2012 Nathan Owe <ndowens at fedoraproject.org> 2.19.1-1
- Updated version

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.18.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Oct 04 2011 Nathan Owe <ndowens at fedoraproject.org> 2.18.1-1
- Updated to newest version

* Wed Aug 17 2011 Nathan Owe <ndowens at fedoraproject.org> 2.18.0-7
- Fixed defattr typo

* Tue Jul 26 2011 Nathan Owe <ndowens at fedoraproject.org> 2.18.0-6
- Changed email address
- Added 'BuildRoot' for EPEL compatability
- Added defattr and clean section for EPEL

* Tue Jul 19 2011 Nathan Owe <ndowens04 at yahoo.com> 2.18.0-5
- Convert Changelog to UTF-8

* Tue Jul 19 2011 Nathan Owe <ndowens04 at yahoo.com> 2.18.0-4
- Convert Man pages to UTF-8

* Mon Jul 18 2011 Nathan Owe <ndowens04 at yahoo.com> 2.18.0-3
- Fixed Directory Permission problem

* Mon Jul 18 2011 Nathan Owe <ndowens04 at yahoo.com> 2.18.0-2
- Removed Requires

* Sat Jul 16 2011 Nathan Owe <ndowens04 at yahoo.com> 2.18.0-1
- Inital Release
